import { BehaviorSubject } from 'rxjs/BehaviorSubject';
export declare class CouponFilterService {
    private couponCategorySource;
    currentCouponCategory: import("rxjs").Observable<any[]>;
    private couponEventSource;
    currentCouponEvent: import("rxjs").Observable<any[]>;
    private couponOfferTypeSource;
    currentCouponOfferType: import("rxjs").Observable<any[]>;
    private couponAisleTypeSource;
    currentCouponAisleType: import("rxjs").Observable<any[]>;
    private filterCategoryParamSource;
    currentFilterCategory: import("rxjs").Observable<String>;
    private filterEventParamSource;
    currentFilterEvent: import("rxjs").Observable<String>;
    private filterOfferTypeParamSource;
    currentFilterOfferType: import("rxjs").Observable<String>;
    private filterAisleTypeParamSource;
    currentFilterAisleType: import("rxjs").Observable<String>;
    private addFilterSource;
    currentFilterAdded: import("rxjs").Observable<string>;
    addAllFilters: BehaviorSubject<boolean>;
    offerTypeFilterCounter: BehaviorSubject<number>;
    currentOfferTypeFilterCounter: import("rxjs").Observable<number>;
    categoryFilterCounter: BehaviorSubject<number>;
    currentCategoryFilterCounter: import("rxjs").Observable<number>;
    eventsFilterCounter: BehaviorSubject<number>;
    currentEventsFilterCounter: import("rxjs").Observable<number>;
    _couponCategories: any;
    _couponEvents: any;
    _couponOfferTypes: any;
    _couponAisleTypes: any;
    constructor();
    addCouponCategory(value: any): void;
    addCouponEvent(value: any): void;
    addCouponOfferType(value: any): void;
    addCouponAisleType(value: any): void;
    private isExist;
    addFilterCategoryParam(param: any): void;
    addFilterEventParam(param: any): void;
    addFilterOfferTypeParam(param: any): void;
    addFilterAisleTypeParam(param: any): void;
    countCategoryFilters(counter: number): void;
    countEventsFilters(counter: number): void;
    countOfferTypeFilters(counter: number): void;
    applyFilter(message: string): void;
    applyFilterAll(): void;
    clearAllFilters(): void;
}
