/**
 * Rewards Grid Service - Get all required data
 *
 * @memberof RewardGrid
 */
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import { RewardModel } from './data.model';
export declare class RewardService {
    private _http;
    constructor(_http: HttpClient);
    getData(): Observable<any>;
    getRemoteData(): Observable<any>;
    private set;
    private get;
    getOneReward(offerId: any): Observable<RewardModel>;
    updateTimeToRefresh(): void;
    dateConversion(dateServer: string): string;
}
