import { HttpClient } from '@angular/common/http';
import { AppConfigService } from './app.config.service';
import { RewardService } from './reward.service';
import { CouponModel, RewardModel } from './data.model';
import { RewardsSummaryService } from './rewards-summary.service';
export declare class ClipService {
    private _http;
    private _appConfigService;
    private _rewardService;
    private _rewardSummaryService;
    constructor(_http: HttpClient, _appConfigService: AppConfigService, _rewardService: RewardService, _rewardSummaryService: RewardsSummaryService);
    clipCoupon(coupon: CouponModel, callback: any): void;
    clipReward(reward: RewardModel, callback: any): void;
    doRedeemReward(reward: RewardModel, callback: any): void;
    private _handleErrorMessage;
    private _updateRewardsAnalytics;
    private _updateLocalStorageRewardsInfo;
}
