/**
 * Rewards Summary Service - Get all required data
 *
 * @memberof RewardsSummary
 */
import { NgZone } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { AppConfigService } from './app.config.service';
export declare class RewardsSummaryService {
    private _http;
    private _appConfigService;
    summaryTimeValue: any;
    AB: any;
    private rewardsPointSource;
    currentRewardsPoints: Observable<any>;
    constructor(_http: HttpClient, _appConfigService: AppConfigService, zone: NgZone);
    getData(): Observable<any>;
    setData(rewardsPointsData: any): void;
    getRemoteData(): void;
    checkSummaryTime(abRewardsSummaryLS: any): boolean;
    useOrDeleteSummary(): boolean;
}
